![NW.js](icon.png)

# NW.js bootstrap

## Description
This is a very minimalistic NW.js app bootstrap. Pre-configured for:

* [NW.js](https://nwjs.io/)
* [Vue.js](https://vuejs.org/)
* [Vuetify](https://vuetifyjs.com)
* [MarsDB](https://github.com/c58/marsdb)

## Requirements
1. [git](https://git-scm.com/)
2. [node.js](https://nodejs.org/en/)
3. [Yarn](https://yarnpkg.com/en/)

## Developer info
##### Kick start developer environment:
```
git checkout git+ssh://git@bitbucket.org/masterjguscius/nwjs-bootstrap2.git
yarn install
yarn start
```
##### Version bump, git & publish:
```
yarn run bump
yarn run bump:patch
yarn run bump:minor
yarn run bump:major
```
##### Building & packaging
```
yarn run build:icons
yarn run build:all
yarn run build:win32
yarn run build:win64
yarn run build:linux32
yarn run build:linux64
yarn run build:mac64
```
This will build & package your app for these systems: **win32**, **win64**, **linux32**, **linux64**, **macos64**. You will find your builds in *./build* directory.